ReferenceItem lists
Drivers
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/drivers' \ -H 'Authorization: Bearer <access-token>'[ { "driver": "string", "email": "string", "id": 0, "isNotOwn": true, "note": "string", "phone": "string", "skype": "string" }]GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
driver?stringLength
length <= 50email?stringLength
length <= 50id?integerFormat
int32isNotOwn?booleannote?stringphone?stringLength
length <= 30skype?stringLength
length <= 30curl -X GET 'https://<your-instance>/api/item-lists/drivers/0' \ -H 'Authorization: Bearer <access-token>'{ "driver": "string", "email": "string", "id": 0, "isNotOwn": true, "note": "string", "phone": "string", "skype": "string"}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/drivers/0' \ -H 'Authorization: Bearer <access-token>'Empty